Get organization security overview
import requests
url = "https://platform.ankra.app/org/security/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/overview \
--header 'Authorization: Bearer <token>'{
"coverage": {
"fresh_clusters": 123,
"latest_report_at": "2023-11-07T05:31:56Z",
"scanned_clusters": 123,
"stale_clusters": 123,
"total_clusters": 123,
"unscanned_clusters": 123
},
"fixable_severe": 123,
"generated_at": "2023-11-07T05:31:56Z",
"observed_trend": [
{
"date": "2023-12-25",
"observed": 123
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"unscanned_clusters": 123
},
"severity": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"top_remediation_candidates": [
{
"actionable_count": 123,
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixable_occurrences": 123,
"last_seen_at": "2023-11-07T05:31:56Z",
"package_name": "<string>",
"package_type": "<string>",
"severity": "<string>",
"title": "<string>"
}
],
"totals": {
"accepted_risk": 123,
"acknowledged": 123,
"actionable": 123,
"observed": 123,
"resolved": 123
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Security
Get organization security overview
GET
/
org
/
security
/
overview
Get organization security overview
import requests
url = "https://platform.ankra.app/org/security/overview"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/security/overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/security/overview \
--header 'Authorization: Bearer <token>'{
"coverage": {
"fresh_clusters": 123,
"latest_report_at": "2023-11-07T05:31:56Z",
"scanned_clusters": 123,
"stale_clusters": 123,
"total_clusters": 123,
"unscanned_clusters": 123
},
"fixable_severe": 123,
"generated_at": "2023-11-07T05:31:56Z",
"observed_trend": [
{
"date": "2023-12-25",
"observed": 123
}
],
"scanner": {
"fresh_clusters": 123,
"last_scan": "2023-11-07T05:31:56Z",
"stale_after_seconds": 123,
"stale_clusters": 123,
"unscanned_clusters": 123
},
"severity": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"top_remediation_candidates": [
{
"actionable_count": 123,
"affected_clusters": 123,
"affected_workloads": 123,
"cve_id": "<string>",
"finding_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fixable_occurrences": 123,
"last_seen_at": "2023-11-07T05:31:56Z",
"package_name": "<string>",
"package_type": "<string>",
"severity": "<string>",
"title": "<string>"
}
],
"totals": {
"accepted_risk": 123,
"acknowledged": 123,
"actionable": 123,
"observed": 123,
"resolved": 123
}
}{
"detail": "<string>"
}{
"detail": "permission_denied",
"permission": "<string>",
"scope_type": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I